%define name 	g3data
%define version 1.5.1
%define release %mkrel 4 

Name:           %name
Version:        %version
Release:        %release
Group:          Graphics
License:        GPL
URL:            http://koti.welho.com/jfrantz/software/g3data.html
Summary:        Graph data extractor
Source:		http://freshmeat.net/redir/g3data/28160/url_tgz/%{name}-%{version}.tar.bz2
Source1:	g3data-icon.png
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	imlib-devel gtk2-devel pkgconfig
BuildRequires:	perl-SGMLSpm docbook-utils docbook-dtd41-sgml imagemagick

%description
g3data is used for extracting data from graphs. In publications graphs often
are included, but the actual data is missing. g3data makes the extracting
process much easier.

While this is a GTK2 application, it must be run from the command line as:
$ g3data <filename>
where <filename> can be in any format imlib supports.

%prep
%setup -q

%build
%make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir/
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
cp *.1.gz $RPM_BUILD_ROOT/%_mandir/man1/

mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps/
convert -geometry 16x16 %SOURCE1 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps/
convert -geometry 32x32 %SOURCE1 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
convert -geometry 48x48 %SOURCE1 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=g3data
Comment=Data Extraction Tool
Exec=g3data
Icon=g3data
Terminal=false
Type=Application
Categories=GNOME;Science;Graphics;
StartupNotify=true
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache} hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache} hicolor
%endif

%files
%defattr(-,root,root)
%doc gpl.txt README.TEST test*
%{_bindir}/%name
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png

%clean
rm -fr $RPM_BUILD_ROOT


%changelog
* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.1-4mdv2009.0
+ Revision: 240728
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 17 2007 Funda Wang <fundawang@mandriva.org> 1.5.1-2mdv2008.0
+ Revision: 52823
- Use fdo icon theme

* Mon Jul 16 2007 Funda Wang <fundawang@mandriva.org> 1.5.1-1mdv2008.0
+ Revision: 52392
- BR docbook4.1
- Add icon file
- add xdg menu item
- BR docbook-utils
- BR perl-SGMLSpm
- New version


* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0-1mdk
- New release 1.5.0
- Fix URL/Source URL
- use mkrel

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 1.4.0.1-2mdk
- birthday

* Fri Jan 23 2004 Austin Acton <austin@mandrake.org> 1.4.0.1-1mdk
- 1.4.0.1
- fix buildrequires for lib64
- add manpage

* Fri Sep 05 2003 Austin Acton <aacton@yorku.ca> 1.4.0-0.rc2.1mdk
- 1.4.0rc2

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 1.3.3-1mdk
- 1.3.3

* Tue Aug 05 2003 Austin Acton <aacton@yorku.ca> 1.3.1-1mdk
- 1.3.1

* Sun Jul 06 2003 Austin Acton <aacton@yorku.ca> 1.3.0-1mdk
- 1.3.0

